// Теоретический вопрос
//
// Опишите своими словами как работает цикл forEach.

// 1. Он для каждого элемента массива вызывает функцию callback.
// 2. forEach выполняет указанную функцию один раз для каждого элемента в массиве.
// 3. Функция не будет вызвана для удалённых или пропущенных элементов массива. Но будет вызвана для элементов со значение undefined.
// 3. Этой функции он передаёт три параметра callback(текущий элемент массива, индекс элемента, ссылка на масив)
// 4. Метод forEach ничего не возвращает, его используют только для перебора.
//
//
//     Задание
// Реализовать функцию фильтра массива по указанному типу данных.
//
//     Технические требования:
//
//     Написать функцию filterBy(), которая будет принимать в себя 2 аргумента. Первый аргумент - массив, который будет содержать в себе любые данные,
//     второй аргумент - тип данных.
//     Функция должна вернуть новый массив, который будет содержать в себе все данные, которые были переданы в аргумент, за исключением тех,
//     тип которых был передан вторым аргументом. То есть, если передать массив ['hello', 'world', 23, '23', null],
//     и вторым аргументом передать 'string', то функция вернет массив [23, null].


function filterBy (fruitList, typeList) {

    return  fruitList.filter(function(item) {
        return typeof item !== typeList;
    });
}

let fruitList = ['Orange', 'Mango', 23, 'Peach', 11, 18];
let typeList = 'number';
console.log('FRUITS' + ':' + filterBy (fruitList,typeList));
